// Copyright 2025 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.35.2
// 	protoc        v4.25.3
// source: google/cloud/dialogflow/v2/human_agent_assistant_event.proto

package dialogflowpb

import (
	reflect "reflect"
	sync "sync"

	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Represents a notification sent to Cloud Pub/Sub subscribers for
// human agent assistant events in a specific conversation.
type HumanAgentAssistantEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The conversation this notification refers to.
	// Format: `projects/<Project ID>/conversations/<Conversation ID>`.
	Conversation string `protobuf:"bytes,1,opt,name=conversation,proto3" json:"conversation,omitempty"`
	// The participant that the suggestion is compiled for.
	// Format: `projects/<Project ID>/conversations/<Conversation
	// ID>/participants/<Participant ID>`. It will not be set in legacy workflow.
	Participant string `protobuf:"bytes,3,opt,name=participant,proto3" json:"participant,omitempty"`
	// The suggestion results payload that this notification refers to.
	SuggestionResults []*SuggestionResult `protobuf:"bytes,5,rep,name=suggestion_results,json=suggestionResults,proto3" json:"suggestion_results,omitempty"`
}

func (x *HumanAgentAssistantEvent) Reset() {
	*x = HumanAgentAssistantEvent{}
	mi := &file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *HumanAgentAssistantEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HumanAgentAssistantEvent) ProtoMessage() {}

func (x *HumanAgentAssistantEvent) ProtoReflect() protoreflect.Message {
	mi := &file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HumanAgentAssistantEvent.ProtoReflect.Descriptor instead.
func (*HumanAgentAssistantEvent) Descriptor() ([]byte, []int) {
	return file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_rawDescGZIP(), []int{0}
}

func (x *HumanAgentAssistantEvent) GetConversation() string {
	if x != nil {
		return x.Conversation
	}
	return ""
}

func (x *HumanAgentAssistantEvent) GetParticipant() string {
	if x != nil {
		return x.Participant
	}
	return ""
}

func (x *HumanAgentAssistantEvent) GetSuggestionResults() []*SuggestionResult {
	if x != nil {
		return x.SuggestionResults
	}
	return nil
}

var File_google_cloud_dialogflow_v2_human_agent_assistant_event_proto protoreflect.FileDescriptor

var file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_rawDesc = []byte{
	0x0a, 0x3c, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x64,
	0x69, 0x61, 0x6c, 0x6f, 0x67, 0x66, 0x6c, 0x6f, 0x77, 0x2f, 0x76, 0x32, 0x2f, 0x68, 0x75, 0x6d,
	0x61, 0x6e, 0x5f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61,
	0x6e, 0x74, 0x5f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1a,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x64, 0x69, 0x61,
	0x6c, 0x6f, 0x67, 0x66, 0x6c, 0x6f, 0x77, 0x2e, 0x76, 0x32, 0x1a, 0x2c, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x64, 0x69, 0x61, 0x6c, 0x6f, 0x67, 0x66,
	0x6c, 0x6f, 0x77, 0x2f, 0x76, 0x32, 0x2f, 0x70, 0x61, 0x72, 0x74, 0x69, 0x63, 0x69, 0x70, 0x61,
	0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xbd, 0x01, 0x0a, 0x18, 0x48, 0x75, 0x6d,
	0x61, 0x6e, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x41, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x22, 0x0a, 0x0c, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x73,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x63, 0x6f, 0x6e,
	0x76, 0x65, 0x72, 0x73, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x20, 0x0a, 0x0b, 0x70, 0x61, 0x72,
	0x74, 0x69, 0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b,
	0x70, 0x61, 0x72, 0x74, 0x69, 0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x12, 0x5b, 0x0a, 0x12, 0x73,
	0x75, 0x67, 0x67, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74,
	0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x64, 0x69, 0x61, 0x6c, 0x6f, 0x67, 0x66, 0x6c, 0x6f,
	0x77, 0x2e, 0x76, 0x32, 0x2e, 0x53, 0x75, 0x67, 0x67, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x52,
	0x65, 0x73, 0x75, 0x6c, 0x74, 0x52, 0x11, 0x73, 0x75, 0x67, 0x67, 0x65, 0x73, 0x74, 0x69, 0x6f,
	0x6e, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x42, 0xa3, 0x01, 0x0a, 0x1e, 0x63, 0x6f, 0x6d,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x64, 0x69,
	0x61, 0x6c, 0x6f, 0x67, 0x66, 0x6c, 0x6f, 0x77, 0x2e, 0x76, 0x32, 0x42, 0x1d, 0x48, 0x75, 0x6d,
	0x61, 0x6e, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x41, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x3e, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67,
	0x6f, 0x2f, 0x64, 0x69, 0x61, 0x6c, 0x6f, 0x67, 0x66, 0x6c, 0x6f, 0x77, 0x2f, 0x61, 0x70, 0x69,
	0x76, 0x32, 0x2f, 0x64, 0x69, 0x61, 0x6c, 0x6f, 0x67, 0x66, 0x6c, 0x6f, 0x77, 0x70, 0x62, 0x3b,
	0x64, 0x69, 0x61, 0x6c, 0x6f, 0x67, 0x66, 0x6c, 0x6f, 0x77, 0x70, 0x62, 0xa2, 0x02, 0x02, 0x44,
	0x46, 0xaa, 0x02, 0x1a, 0x47, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x43, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x44, 0x69, 0x61, 0x6c, 0x6f, 0x67, 0x66, 0x6c, 0x6f, 0x77, 0x2e, 0x56, 0x32, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_rawDescOnce sync.Once
	file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_rawDescData = file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_rawDesc
)

func file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_rawDescGZIP() []byte {
	file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_rawDescOnce.Do(func() {
		file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_rawDescData = protoimpl.X.CompressGZIP(file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_rawDescData)
	})
	return file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_rawDescData
}

var file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_goTypes = []any{
	(*HumanAgentAssistantEvent)(nil), // 0: google.cloud.dialogflow.v2.HumanAgentAssistantEvent
	(*SuggestionResult)(nil),         // 1: google.cloud.dialogflow.v2.SuggestionResult
}
var file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_depIdxs = []int32{
	1, // 0: google.cloud.dialogflow.v2.HumanAgentAssistantEvent.suggestion_results:type_name -> google.cloud.dialogflow.v2.SuggestionResult
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_init() }
func file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_init() {
	if File_google_cloud_dialogflow_v2_human_agent_assistant_event_proto != nil {
		return
	}
	file_google_cloud_dialogflow_v2_participant_proto_init()
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_goTypes,
		DependencyIndexes: file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_depIdxs,
		MessageInfos:      file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_msgTypes,
	}.Build()
	File_google_cloud_dialogflow_v2_human_agent_assistant_event_proto = out.File
	file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_rawDesc = nil
	file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_goTypes = nil
	file_google_cloud_dialogflow_v2_human_agent_assistant_event_proto_depIdxs = nil
}
